| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
busHandle_struct Struct Reference

This structure is a declaration of a BusHandle type. More...

`#include <isf_protocol_adapter.h>`

Collaboration diagram for busHandle_struct:

## Data Fields
void * | pHandle
uint8 | nLock
void * | pLock
uint8 | nRdLock
void * | pRdLock

## Detailed Description

This structure is a declaration of a BusHandle type.

Definition at line 86 of file isf_protocol_adapter.h.

## Field Documentation

uint8 nLock

The lock count associated with the bus.

Definition at line 88 of file isf_protocol_adapter.h.

Referenced by i2c_master_adapter_init(), spi_master_adapter_init(), and uart_adapter_init().

uint8 nRdLock

The lock count associated with the Read.

Definition at line 90 of file isf_protocol_adapter.h.

Referenced by spi_master_adapter_init(), and uart_adapter_init().

void* pHandle

Protocol specific BusHandle.

Definition at line 87 of file isf_protocol_adapter.h.

Referenced by i2c_master_adapter_acquire_lock(), i2c_master_adapter_configure(), i2c_master_adapter_get_config(), i2c_master_adapter_get_endpoint(), i2c_master_adapter_get_state(), i2c_master_adapter_init(), i2c_master_adapter_read(), i2c_master_adapter_start(), i2c_master_adapter_stop(), i2c_master_adapter_write(), spi_master_adapter_acquire_lock(), spi_master_adapter_configure(), spi_master_adapter_get_config(), spi_master_adapter_get_endpoint(), spi_master_adapter_get_state(), spi_master_adapter_init(), spi_master_adapter_read(), spi_master_adapter_start(), spi_master_adapter_stop(), spi_master_adapter_write(), uart_adapter_acquire_lock(), uart_adapter_configure(), uart_adapter_get_config(), uart_adapter_get_endpoint(), uart_adapter_get_state(), uart_adapter_init(), uart_adapter_read(), uart_adapter_start(), uart_adapter_stop(), and uart_adapter_write().

void* pLock

The pointer to the lock.

Definition at line 89 of file isf_protocol_adapter.h.

Referenced by i2c_master_adapter_init(), spi_master_adapter_init(), and uart_adapter_init().

void* pRdLock

The pointer to the Read lock.

Definition at line 91 of file isf_protocol_adapter.h.

Referenced by spi_master_adapter_init(), and uart_adapter_init().

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/isf_protocol_adapter.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.